Holger's Java API

## com.antelmann.net
Class ServerLogEntry

    java.lang.Object
      com.antelmann.net.ServerLogEntry

All Implemented Interfaces:
  Timed

    public class ServerLogEntry

extends Object
implements Timed

a log entry from a web-server log

Author:
  Holger Antelmann
See Also:
  `ServerLog`

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Constructor Summary
`ServerLogEntry()`

Method Summary
`String` `getAgent()`
`int` `getCode()`
`String` `getHost()`
`InetAddress` `getHostAddress()`
`String` `getMethod()`
`int` `getPort()`
`String` `getProtocol()`
`String` `getQueryString()` extracts the query parameter portion of a URL that usually contains the search string that was used to query a search engine
`String` `getReferer()`
`long` `getTime()`
`String` `getUrl()`
`String` `getUser()`
`String` `getWebServer()`
`void` `setAgent(String agent)`
`void` `setCode(int code)`
`void` `setHost(String host)`
`void` `setMethod(String method)`
`void` `setPort(int port)`
`void` `setProtocol(String protocol)`
`void` `setReferer(String referer)`
`void` `setTime(long time)`
`void` `setUrl(String url)`
`void` `setUser(String user)`
`void` `setWebServer(String webServer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLogEntry

    public ServerLogEntry()

Method Detail

### getHost

    public String getHost()

### getHostAddress

    public InetAddress getHostAddress()
                               throws UnknownHostException

  Throws:
    `UnknownHostException`

### getMethod

    public String getMethod()

### getReferer

    public String getReferer()

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `Timed`

### getAgent

    public String getAgent()

### getUser

    public String getUser()

### getCode

    public int getCode()

### getProtocol

    public String getProtocol()

### getUrl

    public String getUrl()

### getPort

    public int getPort()

### getWebServer

    public String getWebServer()

### getQueryString

    public String getQueryString()

  extracts the query parameter portion of a URL that usually contains the search string that was used to query a search engine

  Returns:
    null if no query parameter was present or the UTF-8 decoded query parameter value

### setUrl

    public void setUrl(String url)

### setPort

    public void setPort(int port)

### setHost

    public void setHost(String host)

### setMethod

    public void setMethod(String method)

### setReferer

    public void setReferer(String referer)

### setTime

    public void setTime(long time)

### setAgent

    public void setAgent(String agent)

### setUser

    public void setUser(String user)

### setCode

    public void setCode(int code)

### setProtocol

    public void setProtocol(String protocol)

### setWebServer

    public void setWebServer(String webServer)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads